Theme templates
Updates themeable records to be used by the specified template
Assigns records of the template’s type to this template (added_ids) and unassigns others (removed_ids) in one transaction. Supported for product, medium, enrollment pack, library, page, collection, post, category, and member page templates. Send at least one of the two lists. Requires the application_themes update permission.
PUT
/
api
/
application_theme_templates
/
{id}
/
themeables_update
Updates themeable records to be used by the specified template
curl --request PUT \
--url https://api.fluid.app/api/application_theme_templates/{id}/themeables_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"added_ids": [
30117,
30118
],
"removed_ids": [
30121
]
}
'import requests
url = "https://api.fluid.app/api/application_theme_templates/{id}/themeables_update"
payload = {
"added_ids": [30117, 30118],
"removed_ids": [30121]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({added_ids: [30117, 30118], removed_ids: [30121]})
};
fetch('https://api.fluid.app/api/application_theme_templates/{id}/themeables_update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"removed_count": 1,
"updated_count": 2,
"meta": {
"request_id": "4f1c2a9e-7b3d-4e8a-9c61-2d5f8a0b3e17",
"timestamp": "2026-09-22T15:04:12Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
Body
application/json
⌘I
Updates themeable records to be used by the specified template
